Warrenjc
Contributor
Contributor

si actualizo mis ESXI de 4.1 a 5.1 mis VM siguen trabajando?

Jump to solution

hola todos tengo q actualizar mi ambiente de virtual de 4.1 a 5.1 incluyendo el servidor de vcenter q actualmente esta en 4.1 y el servidor de view 4.6

lo primero q quiero hacer es acttualizar todos los esxi a 5.1 uno por uno para no tener q downtown de servidores ni maquinas virtuales

mi pregunta es si actualizo mi esxi 4.1 a 5.1 pueden seguir trabjando mis maquinas virutales q algunas tienen hardware virtual 4  y el 90% son hardware virtual 7.

en resumen quiero ir actualizando mis esxi uno por uno ir migrando las maquinas despues de ir acutalizandolos. pero no estoy seguro si mis maquinas viejas funcionarian.

saludos y muchas gracias

0 Kudos
1 Solution

Accepted Solutions
escaprix
Hot Shot
Hot Shot

Warren como estas???  esto lo saque del documento de migracion de Vmware http://pubs.vmware.com/vsphere-51/topic/com.vmware.ICbase/PDF/vsphere-esxi-vcenter-server-51-upgrade...

Como ves mas abajo contesta tu pregunta.

Saludos

Table 7-2.
Virtual Machine Compatibility Options
Compatibility                  Description
ESXi 5.1 and later             This virtual machine (hardware version 9) is compatible with ESXi 5.1 and later.
ESXi 5.0 and later               This virtual machine (hardware version 😎 is compatible with ESXi 5.0 and 5.1.
ESX/ESXi 4.x and later         This virtual machine (hardware version 7) is compatible with ESX/ ESXi 4.x, ESXi 5.0, and ESXi 5.1.
ESX/ESXi 3.5 and later      This virtual machine (hardware version 4) is compatible with ESX/ESXi 3.5. ESX/ESXi 4.x,
                                             and ESXi 5.1. It is also compatible with VMware Server 1.0 and later. ESXi 5.0 does not
                                             allow creation of virtual machines with this compatibility, but you can run such virtual
                                             machines if they were created on a host with different compatibility.
ESX Server 2.x and later     This virtual machine (hardware version 3) is compatible with ESX Server 2.x, ESX/ESXi 3.5,
                                             ESX/ESXi 4.x, and ESXi 5.0. You cannot create or edit virtual machines with ESX Server 2.x

Saludos.

View solution in original post

0 Kudos
4 Replies
escaprix
Hot Shot
Hot Shot

Warren como estas???  esto lo saque del documento de migracion de Vmware http://pubs.vmware.com/vsphere-51/topic/com.vmware.ICbase/PDF/vsphere-esxi-vcenter-server-51-upgrade...

Como ves mas abajo contesta tu pregunta.

Saludos

Table 7-2.
Virtual Machine Compatibility Options
Compatibility                  Description
ESXi 5.1 and later             This virtual machine (hardware version 9) is compatible with ESXi 5.1 and later.
ESXi 5.0 and later               This virtual machine (hardware version 😎 is compatible with ESXi 5.0 and 5.1.
ESX/ESXi 4.x and later         This virtual machine (hardware version 7) is compatible with ESX/ ESXi 4.x, ESXi 5.0, and ESXi 5.1.
ESX/ESXi 3.5 and later      This virtual machine (hardware version 4) is compatible with ESX/ESXi 3.5. ESX/ESXi 4.x,
                                             and ESXi 5.1. It is also compatible with VMware Server 1.0 and later. ESXi 5.0 does not
                                             allow creation of virtual machines with this compatibility, but you can run such virtual
                                             machines if they were created on a host with different compatibility.
ESX Server 2.x and later     This virtual machine (hardware version 3) is compatible with ESX Server 2.x, ESX/ESXi 3.5,
                                             ESX/ESXi 4.x, and ESXi 5.0. You cannot create or edit virtual machines with ESX Server 2.x

Saludos.

0 Kudos
leonhardtla
Expert
Expert

Hola,

tal como comenta el compañero, podrías seguir trabajando sin problemas aun que mi recomendación es que pases de la versión 4 a la 7 y luego ya migres todo el hardware a la versión mas reciente siendo esta la 9.

Un saludo.

----- Leandro Ariel Leonhardt: Virtualized System Architect at GrupoSothis.com. VSAN vExpert 2016, vExpert 2017/16/15/14/13, VMware Certified Instructor, VCAP5-DCA, VCP6/5-DCV, VCA-DCV, Nutanix NPP/NSEN & Nutanix Technology Champions (NTC). | Founder of BlogVMware Blog: https://www.blogvmware.com & Nutanix Course http://vExpert.me/Z0 Si encuentras que esta o cualquier otra respuesta fue de utilidad, por favor da el voto. Gracias. If you find this or any other answer useful, please consider awarding points. Thank you.
Jose_Arcos
Enthusiast
Enthusiast

Hola,

Reafirmo lo que dicen nuestros amigos, sin problemas funcionaras, aunque como dice león seria mejor ya ir actualizando a la versión 7 de maquina virtual.

Un Saludo.

VCP 310, 410 & 510
0 Kudos
Samquejo
Commander
Commander

Buenas

Como base deberías establecer una versión mínima del 7 como hardware virtual dado que es la única no reversible.

Una vez tengas la infraestructura al nivel que te interesa (5.1 y 5.2 respectivamente), te será facil subir todo a 9.

Saludos

Si esta u otra respuesta es util, por favor marca su correspondiente notificador. Gracias/Regards
0 Kudos